package rs.telenor.model;

public class Customer {
	private String name;
	private String phone;
	private SubscriptionType type;
	private int years;
	private double discount;
	
	public Customer() {
		super();
	}
	
	public Customer(String name, String phone, SubscriptionType type, int years) {
		super();
		this.name = name;
		this.phone = phone;
		this.type = type;
		this.years = years;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public SubscriptionType getType() {
		return type;
	}

	public void setType(SubscriptionType type) {
		this.type = type;
	}

	public int getYears() {
		return years;
	}

	public void setYears(int years) {
		this.years = years;
	}

	public double getDiscount() {
		return discount;
	}

	public void setDiscount(double discount) {
		this.discount = discount;
	}

	@Override
	public String toString() {
		return "Customer [name=" + name + ", phone=" + phone + ", type=" + type + ", years=" + years + ", discount="
				+ discount + "]";
	}

}
