package rs.telenor.model;

public class Product {
	private String name;
	private double price;
	private double vat;
	private double total;
	private ProductType type;

	public Product() {
		super();
	}

	public Product(String name, double price, ProductType type) {
		super();
		this.name = name;
		this.price = price;
		this.type = type;
		this.vat = 0;
		this.total = 0;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public double getPrice() {
		return price;
	}

	public void setPrice(double price) {
		this.price = price;
	}

	public double getVat() {
		return vat;
	}

	public void setVat(double vat) {
		this.vat = vat;
	}

	public double getTotal() {
		return total;
	}

	public void setTotal(double total) {
		this.total = total;
	}

	public ProductType getType() {
		return type;
	}

	public void setType(ProductType type) {
		this.type = type;
	}

	@Override
	public String toString() {
		return "Product [name=" + name + ", price=" + price + ", vat=" + vat + ", total=" + total + ", type=" + type
				+ "]";
	}
}
